Kontentga o'tish

Inventarizatsiyalar ro'yxati

GET
/v2/stocktaking
curl --request GET \
--url 'https://api-admin.billz.ai/v2/stocktaking?page=1&limit=10&search=12121&shop_ids=6f244db4-75d6-4fac-9841-14867d45e36a&type=full&start_created_date=2024-11-12&end_created_date=2024-11-19&start_finished_date=2024-11-14&end_finished_date=2024-11-22&status_ids=7cbb2295-559e-4b72-a3c1-11ac24dffc6b' \
--header 'Authorization: Bearer <token>' \
--header 'platform-id: 7d4a4c38-dd84-4902-b744-0488b80a4c01'

Xato kodlari: 400 — kiruvchi ma’lumotlar validatsiya xatosi; 404 — obyekt topilmadi; 401, 403, 429, 500 — barcha metodlar uchun umumiy. Tana formatlari va semantikasi: Javob kodlari va xatolar.

page
integer format: int32
default: 1
Example
1
limit
integer format: int32
default: 10
Example
10
search
string
Example
12121
shop_ids
Array<string>

CSV

Example
[
"6f244db4-75d6-4fac-9841-14867d45e36a"
]
type
string

Enums: full,partial,transfer,import

Example
full
last_update
string

Oxirgi yangilanish sanasi bo’yicha filtrlash

start_created_date
string
Example
2024-11-12
end_created_date
string
Example
2024-11-19
start_finished_date
string
Example
2024-11-14
end_finished_date
string
Example
2024-11-22
status_ids
Array<string>

CSV

Example
[
"7cbb2295-559e-4b72-a3c1-11ac24dffc6b"
]
platform-id
string
default: 7d4a4c38-dd84-4902-b744-0488b80a4c01

Platforma identifikatori. Integratsiyalar uchun statik qiymat ishlatiladi.

Muvaffaqiyatli javob

Media typeapplication/json
object
count
integer format: int32
stocktakings
Array<object>
object
id
string
external_id
integer format: int64
name
string
shop_id
string
shop_name
string
total_measurement_value
number format: double
new_products
number format: double
shortage
number format: double
postponed
number format: double
surplus
number format: double
difference_sum
number format: double
type

Full,partial,transfer,import

string
type_id
string
status_id
string
process_percentage
number format: double
created_at
string
finished_at
string
created_by
object
id
string
name
string
finished_by
object
id
string
name
string
import_id
string
transfer_id
string
use_departure_price
boolean
use_old_prices
boolean
use_import_properties
boolean
order_id
string
locked
boolean
deleted
boolean
company_id
string
items
Array<string>
nullable
process_id
string
process_type
integer format: int32
Examplegenerated
{
"count": 1,
"stocktakings": [
{
"id": "example",
"external_id": 1,
"name": "example",
"shop_id": "example",
"shop_name": "example",
"total_measurement_value": 1,
"new_products": 1,
"shortage": 1,
"postponed": 1,
"surplus": 1,
"difference_sum": 1,
"type": "example",
"type_id": "example",
"status_id": "example",
"process_percentage": 1,
"created_at": "example",
"finished_at": "example",
"created_by": {
"id": "example",
"name": "example"
},
"finished_by": {
"id": "example",
"name": "example"
},
"import_id": "example",
"transfer_id": "example",
"use_departure_price": true,
"use_old_prices": true,
"use_import_properties": true,
"order_id": "example",
"locked": true,
"deleted": true,
"company_id": "example",
"items": [
"example"
],
"process_id": "example",
"process_type": 1
}
]
}